Bug 1662760 - [abrt] evolution-data-server: g_settings_set_property(): evolution-alarm-notify killed by SIGTRAP
Summary: [abrt] evolution-data-server: g_settings_set_property(): evolution-alarm-noti...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-data-server
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Milan Crha
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:24ac848f037605aa4de3edc02bb...
: 1704437 1750282 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-01 18:52 UTC by Steven Stern
Modified: 2020-05-26 17:00 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 17:00:34 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (41.57 KB, text/plain)
2019-01-01 18:52 UTC, Steven Stern
no flags Details
File: cgroup (345 bytes, text/plain)
2019-01-01 18:52 UTC, Steven Stern
no flags Details
File: core_backtrace (15.58 KB, text/plain)
2019-01-01 18:52 UTC, Steven Stern
no flags Details
File: cpuinfo (1.20 KB, text/plain)
2019-01-01 18:52 UTC, Steven Stern
no flags Details
File: dso_list (17.88 KB, text/plain)
2019-01-01 18:52 UTC, Steven Stern
no flags Details
File: environ (3.83 KB, text/plain)
2019-01-01 18:52 UTC, Steven Stern
no flags Details
File: limits (1.29 KB, text/plain)
2019-01-01 18:52 UTC, Steven Stern
no flags Details
File: maps (120.30 KB, text/plain)
2019-01-01 18:52 UTC, Steven Stern
no flags Details
File: mountinfo (4.12 KB, text/plain)
2019-01-01 18:52 UTC, Steven Stern
no flags Details
File: open_fds (934 bytes, text/plain)
2019-01-01 18:52 UTC, Steven Stern
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2019-01-01 18:52 UTC, Steven Stern
no flags Details

Description Steven Stern 2019-01-01 18:52:45 UTC
Version-Release number of selected component:
evolution-data-server-3.30.3-1.fc29

Additional info:
reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-data-server/evolution-alarm-notify
crash_function: g_settings_set_property
executable:     /usr/libexec/evolution-data-server/evolution-alarm-notify
journald_cursor: s=30c6f8fb81a841038ccbf0eeef1d6858;i=2589;b=51375a9fa4f647dbbe1bd9e1255d8fe1;m=3991159;t=57e44cf164775;x=c0dca4192d0a7dd4
kernel:         4.18.16-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Steven Stern 2019-01-01 18:52:47 UTC
Created attachment 1517771 [details]
File: backtrace

Comment 2 Steven Stern 2019-01-01 18:52:48 UTC
Created attachment 1517772 [details]
File: cgroup

Comment 3 Steven Stern 2019-01-01 18:52:49 UTC
Created attachment 1517773 [details]
File: core_backtrace

Comment 4 Steven Stern 2019-01-01 18:52:50 UTC
Created attachment 1517774 [details]
File: cpuinfo

Comment 5 Steven Stern 2019-01-01 18:52:51 UTC
Created attachment 1517775 [details]
File: dso_list

Comment 6 Steven Stern 2019-01-01 18:52:52 UTC
Created attachment 1517776 [details]
File: environ

Comment 7 Steven Stern 2019-01-01 18:52:52 UTC
Created attachment 1517777 [details]
File: limits

Comment 8 Steven Stern 2019-01-01 18:52:53 UTC
Created attachment 1517778 [details]
File: maps

Comment 9 Steven Stern 2019-01-01 18:52:54 UTC
Created attachment 1517779 [details]
File: mountinfo

Comment 10 Steven Stern 2019-01-01 18:52:55 UTC
Created attachment 1517780 [details]
File: open_fds

Comment 11 Steven Stern 2019-01-01 18:52:56 UTC
Created attachment 1517781 [details]
File: proc_pid_status

Comment 12 Milan Crha 2019-01-03 13:53:35 UTC
Thanks for a bug report. The reason for the crash, according to the backtrace, is:

   "Settings schema 'org.gnome.evolution.calendar' is not installed"

which is quite weird, because evolution-alarm-notify is part of the 'evolution-data-server' package in 3.30.x, but the backtrace claims that the binary is from the evolution package, while ABRT sees this as evolution-data-server package. I suspect there happened something during the update process (like from pre-Fedora 29 to Fedora 29 version), is it possible?

I also checked the sources and nothing references "org.gnome.evolution.calendar" in evolution-data-server, which kind of supports the above paragraph.

If this is related to an update, how did you update the machine, please?

Is the evolution package installed at all, please? (rpm -qa | grep evolution).

Comment 13 Steven Stern 2019-01-03 14:06:48 UTC
I replaced my hard drive.

Backed up the old drive to an external one via rsynch
Put in the new drive
Installed F29 from the Live DVD
Restored everything from the external drive via rsynch (except /boot)

Comment 14 Steven Stern 2019-01-03 14:09:02 UTC
I've just done "dnf reinstall evolution-data-server".  Let's see how it goes.

Comment 15 Milan Crha 2019-01-03 14:18:45 UTC
I would try also with `dnf distro-sync`, which might not be exactly the same as reinstall though. The thing is that the rsync could mix different bits together. Like you might have two different evolution-alarm-notify processes now, if the rsync works with the files, not with the path (the path for the process changed as well). Safer would be to use rsync and only then update to a newer Fedora.

To test the change, it's enough to run the process either from
   /usr/libexec/evolution/evolution-alarm-notify  (it's the wrong location)
or from
   /usr/libexec/evolution-data-server/evolution-alarm-notify  (it's the correct location).
Either it will claim the missing scheme file immediately, or it'll run.

Comment 16 Milan Crha 2019-04-30 08:07:21 UTC
*** Bug 1704437 has been marked as a duplicate of this bug. ***

Comment 17 Milan Crha 2019-04-30 08:10:05 UTC
The bug #1704437 is very similar, only from evolution-calendar-factory, with no rsync involved. I suspect that GSettings has cached list of schemas and if there are added new schemas while the pplication is running then it doesn't refresh the list, thus when something references that new schema, then GSettings aborts the application, because it doesn't know about this new schema. That's only an idea. If true, then restarting the background process would lead to no crash, the application should run as expected.

Comment 18 dmytro.morozov 2019-09-09 08:39:19 UTC
*** Bug 1750282 has been marked as a duplicate of this bug. ***

Comment 19 Ben Cotton 2020-04-30 21:10:31 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 20 Ben Cotton 2020-05-26 17:00:34 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.